# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)

require "knifer_sutherland/version"

Gem::Specification.new do |spec|
  spec.name        = "knifer_sutherland"
  spec.version     = KniferSutherland::VERSION
  spec.platform    = Gem::Platform::RUBY
  spec.authors     = ["willywos"]
  spec.email       = ["wwilimek@gmail.com"]
  spec.homepage    = "https://github.com/willywos/knifer_sutherland"
  spec.summary     = %q{A really great tool to write your chef nodes to your hosts file.
                        If you ever get sick of writing knife status to see the ip address
                        of the node you want to connect to then this gem is made just for you :)}
  spec.description = %q{Knife plugin that writes nodes to your local hosts file.}
  spec.files         = `git ls-files`.split("\n")
  spec.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  spec.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  spec.require_paths = ["lib"]
  spec.license       = "MIT"
  spec.extra_rdoc_files = ["README.md", "LICENSE.md" ]

  spec.add_dependency "ghost", ">= 1.0.0.pre.2"
  spec.add_dependency "chef"
end
